% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive

function [ANGdefKLHR,TdefKLHR,ARRAYdateKLHR] = MediaDati_KLHR(ang_KLHR,...
    temp_KLHR,TimeKLHR,NdatiMedia,FileName)

text = 'MediaDati_KLHR function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

%% Angoli
[r,~]=size(ang_KLHR);
if NdatiMedia > r
    NdatiMedia = r;
end
ANGdefKLHR = smoothdata(ang_KLHR,'gaussian',NdatiMedia);

ARRAYdateKLHR = TimeKLHR;

%% Temperature
TdefKLHR = temp_KLHR; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Mean values of Klino Link HR data calculated correctly. MediaDati_KLHR function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end